Package org.kapott.hbci.datatypes.factory

# Class SyntaxDEFactory

java.lang.Object
org.kapott.hbci.datatypes.factory.SyntaxDEFactory

public class SyntaxDEFactory extends Object

## Method Summary

Modifier and Type
Method
Description
`SyntaxDE`
`createSyntaxDE(String dataType, String path, StringBuffer res, int minsize, int maxsize)`
`SyntaxDE`
`createSyntaxDE(String dataType, String path, String value, int minsize, int maxsize)`
`static SyntaxDEFactory`
`getInstance()`
`String`
`toString()`
`void`
`unuseObject(SyntaxDE sde, String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getInstance

public static SyntaxDEFactory getInstance()

### createSyntaxDE

public SyntaxDE createSyntaxDE(String dataType, String path, String value, int minsize, int maxsize)

### createSyntaxDE

public SyntaxDE createSyntaxDE(String dataType, String path, StringBuffer res, int minsize, int maxsize)

### unuseObject

public void unuseObject(SyntaxDE sde, String type)

### toString

public String toString()

Overrides:
  `toString` in class `Object`